-- Main game loop
function Main()

	DisplaySplash("assets/splash/playfirst_animated_logo.swf", "splash/playfirst_logo",4000);
	DisplaySplash("", "splash/distributor_logo",4000);

	while (true) do
		-- Push the game selection screen
		DoModal("scripts/mainmenu.lua");
		-- The game select screen will spawn its own replacement modal window. When that modal window
		-- returns, it will be time to execute this one again--hence the while/do loop.
	end

end

-- Return a function to be executed in a thread
return Main